<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="#LANG" lang="#LANG" dir="#LANG_DIR">
<head>
<title>[(#NOM_SITE_SPIP|textebrut)]</title>
[<meta name="description" content="(#DESCRIPTIF_SITE_SPIP|couper{150}|textebrut)" />]
<INCLURE{fond=inc-head}>

<style>
#page{width:90%;}
#entete, pied {width:100%;}
#conteneur {float:none; width:auto;}
#entrees,
#entrees_num,
#sorties,
#survols { border:1px solid #ccc; padding:1em; margin:1em; overflow:auto; float:left;}
#entrees span,
#entrees_num span,
#sorties span {
	height:120px; float:left; margin:15px
}
#survols span {display:block; float:left; height:30px; width:30px; background:#ccc; margin:15px;}
#survols span:hover {background:#aaa;}
</style>
</head>

<body class="page_sommaire">
<div id="page">

	[(#REM) Entete de la page + titre du site ]
	<INCLURE{fond=inc-entete}>

	[(#REM) Contenu principal : derniers articles publies ]
	<div class="hfeed" id="conteneur">
	<div id="contenu">
		
		<div class="cartouche">
			<h1>Arduino</h1>
		</div>

		<form>
			<input type="checkbox" name="actualiser" id="champ_actualiser" /> Actualiser les valeurs
			toutes les <input type="text" name="interval" id="champ_interval" size="4" value="2000" /> millisecondes
		</form>
		
		<div id="afficher"></div>

		<div id="entrees">
			<h2>Entrées Analogiques</h2>
			<span title="pin0">0</span>
			<span title="pin1">0</span>
			<span title="pin2">0</span>
			<span title="pin3">0</span>
			<span title="pin4">0</span>
			<span title="pin5">0</span>
		</div>
		
		<div id="entrees_num">
			<h2>Entrées Numériques</h2>
			<span title="pin2">0</span>
			<span title="pin3">0</span>
			<span title="pin4">0</span>
			<span title="pin5">0</span>
			<span title="pin6">0</span>
		</div>

<!--			
		<div id="sorties">
			<h2>Sorties</h2>
			<span title="pin3">0</span>
			<span title="pin5">0</span>
		</div>
-->

		<div id="survols">
			<h2>Survols</h2>
			<span title="pin8"></span>
			<span title="pin9"></span>
			<span title="pin10"></span>
			<span title="pin11"></span>
			<span title="pin12"></span>
		</div>
		
		<script type="text/javascript">
(function($){
$(document).ready(function(){

	// creer slider
	function un_slider(me, opt) {
		// read initial values from markup and remove that

		var value = parseInt($(me).text());
		$(me).empty();
		
		options = {
			value: value,
			orientation: "vertical",
			range:"min",
			min:0,
			max:1023			
		}
		options = $.extend(options, opt);

		$(me).slider(options);
		if (options.disable) {
			$(me).slider("disable");
		}
	}

	// entrees non selectionnables
	var entrees = $("#entrees > span");
	var entrees_num = $("#entrees_num > span");

	entrees.each(function (){
		un_slider(this, {disable:true});
	});	
	
	entrees_num.each(function (){
		un_slider(this, {disable:true, max:1});
	});

/*
	// sorties modifiables
	var sorties = $("#sorties > span");
	sorties.each(function (){
		un_slider(this, {
			max:255,
			change: function(e, ui) {
				var pin = $(ui.handle.parentNode).attr('title').substr(3);
				Arduino.analogWrite(pin, ui.value);
		}});
	});
*/

	// essais de survol
	var survols = $("#survols > span");
	survols.hover(function(){
		var pin = $(this).attr('title').substr(3);
		Arduino.digitalWrite(pin, 1);
	},function(){
		var pin = $(this).attr('title').substr(3);
		Arduino.digitalWrite(pin, 0);
	});

	// fonction d'actualisation
	actualiser_entrees = function(){
		res = Arduino.analogReadAll();
		entrees.each(function(){
			var pin = $(this).attr('title').substr(3);
			$(this).slider('value', res[pin]);
		});
		
		res = Arduino.digitalReadAll();
		entrees_num.each(function(){
			var pin = $(this).attr('title').substr(3);
			$(this).slider('value', res[pin]);
		});	
	}
	// on demande la lecture au premier chargement
	actualiser_entrees();

	// actualisation reguliere
	actualiser = function() {
		// si on actualise :
		if ($("#champ_actualiser:checked").length) {
			// lire et actualiser les entrees
			actualiser_entrees();
		}	
		// actualiser l'interval
		interval = $("#champ_interval").val();
	}
	
	var interval = $("#champ_interval").val();
	var timer = setInterval(actualiser, interval);
	
});
})(jQuery);
		</script>
	</div><!--#contenu-->
	</div><!--#conteneur-->
	
	
	[(#REM) Pied de page ]
	<INCLURE{fond=inc-pied}{skel=#SQUELETTE}>
	
</div><!--#page-->
</body>
</html>
